body {
  margin: 0;
  padding:0;
  background: grey;
  font-family: Arial, Helvetica, sans-serif;
  width: 100%;
  text-align: center;
}
.fill-window {
  height: 100%;
  position: absolute;
  left: 0;
  width: 100%;
  overflow: hidden;
  border: 2px solid rgb(8, 199, 183);
}
.header {
  background-color: grey;
  text-align: center;
  color: white;
  height: 40px;
}


.buttonsave {
  width: 90px;
  height: 50px;
  position: absolute;
  bottom: 30%;
  right: 23px;
  border: 1px solid black;
  color: black;
  padding: 5px 5px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 12px;
  font-weight: bold;
  margin: 4px 2px;
  transition-duration: 0.4s;
  border-radius: 5px;
  cursor: pointer;
  transition-duration: 0.4s;
  border-radius: 5px;
}
.buttonsave:hover {
  background-color: green;
  color: white;
}
.buttontest {
  width: 90px;
  height: 50px;
  position: absolute;
  bottom: 75%;
  right: 23px;
  border: 1px solid black;
  color: black;
  padding: 5px 5px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 12px;
  font-weight: bold;
  margin: 4px 2px;
  transition-duration: 0.4s;
  border-radius: 5px;
  cursor: pointer;
  transition-duration: 0.4s;
  border-radius: 5px;
}
.buttontest:hover {
  background-color: green;
  color: white;
}
.buttonCancel {
  width: 90px;
  height: 50px;
  position: absolute;
  bottom: 20%;
  right: 23px;
  border: 1px solid black;
  color: black;
  padding: 5px 5px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 12px;
  font-weight: bold;
  margin: 4px 2px;
  transition-duration: 0.4s;
  border-radius: 5px;
  cursor: pointer;
  transition-duration: 0.4s;
  border-radius: 5px;

}
.buttonCancel:hover {
  background-color: red;
  color: white;
}

.flex-container {
  display: flex;
  border: 2px solid rgb(8, 199, 183);
}

.flex-child {
  flex: 1;
  border: 2px solid rgb(8, 199, 183);
}  

.flex-child:first-child {
  margin-right: 20px;
} 

.flex-container1 {
  display: flex;
  padding: 10px;
  flex-wrap: wrap;
  color: white;
  justify-content: space-around;
  border: 2px solid rgb(8, 199, 183);
}
.flex-child1 {
  border: 2px solid rgb(8, 199, 183);
  padding: 10px;
  color: white;
  width: 45%;
}  

.flex-child2 {
  border: 2px solid rgb(8, 199, 183);
  padding: 10px;
  color: white;
  width: 5%;
}   
.flex-child3 {
  flex: 4;
  border: 2px solid rgb(8, 199, 183);
  height: 500px;
  padding: 10px;
  justify-content: space-around;
  color: white;
}  

.flex-containervendorrules {
  display: flex;
  flex-direction: row;
  padding: 10px;
  justify-content:space-around ;
  border: 2px solid rgb(8, 199, 183);
}
.flex-containervendorruleschild1 {
  border: 2px solid rgb(8, 199, 183);
  padding: 10px;
  color: white;
  width: 45%;
}  
.flex-containervendorruleschild2 {
  border: 2px solid rgb(8, 199, 183);
  padding: 10px;  
  color: white;
  width: 45%;
}  
.flex-containervendorruleschild3 {
  border: 2px solid rgb(8, 199, 183);
  justify-content: space-around;
  padding: 10px; 
  color: white; 
  width: 5%;
}
.flex-container2 {
  display: flex;
}
.flex-child22 {
  flex: 1;
  border: 2px solid rgb(8, 199, 183);
  height: 200px;
} 
.flex-container2Input{
  flex: 2;
  border: 2px solid rgb(8, 199, 183);
  height: 20px;
  justify-content: space-between;
  margin: 5px;
  width: 100%;
} 
.flex-container2label{
  flex: 1;
  border: 2px solid rgb(8, 199, 183);
  height: 20px;
  justify-content: space-between;
  margin: 5px;
} 
.flex-container3 {
  display: flex;
  flex-direction: row;
  align-items: stretch;
  flex-flow: row wrap;
  justify-content: space-around;
}
.flex-container3label{
  flex: 1;
  border: 2px solid rgb(8, 199, 183);
  height: 20px;
  justify-content: space-between;
  margin: 5px;
} 
.flex-container3Input{
  flex: 2;
  border: 2px solid rgb(8, 199, 183);
  height: 20px;
  justify-content: space-between;
  margin: 5px;
} 
.flex-containerInput4{
  border: 2px solid rgb(8, 199, 183);
  height: 70px;
  width: 100%;
  justify-content: space-between;
  margin: 5px;
 
} 

.testresults{
  display: flex;
  justify-content: space-around;
  height: auto;
  vertical-align: middle;
  background-color: grey;
  text-align: center;
  color: white;
  padding: 5px;
  resize: none;
  border: 2px solid rgb(8, 199, 183);
  border-radius: 4px 4px 4px 4px;
  padding: 5px;
  margin-bottom:5px;
  margin-top:20px;  
}
.errorlabel{
  color : 'red';
  flex: 1;
  border: 2px solid rgb(8, 199, 183);
  height: 20px;
  justify-content: space-between;
  margin: 5px;
}

